%define	major	5
%define	lname	lzma
%define libname %mklibname %{lname} %{major}
%define libdev  %mklibname -d %{lname}

Summary: 	XZ utils
Summary(de):	XZ Werkzeuge
Name: 		xz
Version: 	5.2.2
Release: 	%mkrel 1
License: 	Public Domain
Group:		Archiving/Compression
URL:		http://tukaani.org/xz/
Source0:	http://tukaani.org/xz/%{name}-%{version}.tar.xz
Source1:	xzme
Obsoletes:	lzma <= %{version} lzma-utils <= %{version}
Provides:	lzma = %{version}-%{release} lzma-utils = %{version}-%{release}
#------------------------------
BuildRequires:	zlib-devel
BuildRequires:  diffutils
BuildRequires:  dietlibc-devel
#------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%name < %version
Requires: glibc >= 2.20


%description
XZ provides very high compression ratio and fast decompression. The
core of the XZ utils is Igor Pavlov's LZMA SDK containing the actual
LZMA encoder/decoder. LZMA utils add a few scripts which provide
gzip-like command line interface and a couple of other XZ related
tools. Also provides:

- Average compression ratio 30% better than that of gzip and 15%
  better than that of bzip2.

- Decompression speed is only little slower than that of gzip, being
  two to five times faster than bzip2.

- In fast mode, compresses faster than bzip2 with a comparable
  compression ratio.

- Achieving the best compression ratios takes four to even twelve
  times longer than with bzip2. However. this doesn't affect
  decompressing speed.

- Very similar command line interface than what gzip and bzip2 have.

%description -l de
XZ bietet sehr hohe Kompression und schnelle Dekompression. Der Kern des 
XZ Programmes ist Igor Pavlov's LZMA SDK mit dem LZMA Encoder / Decoder. 
XZ Werkzeuge bietet noch ein paar Skripte, die eine Kommandozeilenschnittstelle 
ähnlich gzip und ein paar andere verwandte LZMA-Werkzeuge hinzufügen.

- Durchschnittliches Kompressionsrate 30% besser als die von gzip und 15% 
  besser als die von bzip2
    
- Dekompressionsgeschwindigkeit ist nur ein wenig langsamer als bei gzip, 
  wobei zwei bis fünf Mal schneller als bzip2.
    
- Im Fast-Modus, komprimiert es schneller als bzip2 mit einer vergleichbaren 
  Kompressionsrate.

- Erreichen der besten Kompressionsraten dauert noch vier bis zwölf mal länger 
  als mit bzip2. Jedoch wirkt sich dies nicht auf die Dekomprimierungsgeschwindigkeit aus.

- Sehr ähnliche Befehlszeilen-Schnittstelle, wie bei gzip und bzip2.


%package -n	%{libname}
Summary:	Libraries for decoding XZ/LZMA compression
Summary(de):	Bibliothek zum Dekodieren der XZ/LZMA Komprimierung
Group:		System/Libraries

%description -n	%{libname}
Libraries for decoding LZMA compression.

%description -n	%{libname} -l de
Bibliothek zum Dekodieren der XZ/LZMA Komprimierung

%package -n	%{libdev}
Summary:	Devel libraries & headers for liblzma
Summary(de):	Entwicklungsdateien und Header für liblzma
Group:		Development/Libraries
Provides:	%{lname}-devel = %{version}-%{release}
Provides:	lib%{lname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libdev}
Devel libraries & headers for liblzma.

%description -n %{libdev} -l de
Entwicklungsdateien und Header für liblzma
%prep
%setup -q

%build

mkdir diet
pushd diet
CC="diet gcc" ../configure --enable-static --disable-shared 
make V=1 LD="diet ld" CC="diet cc -std=c99 -D_XOPEN_SOURCE=700"
popd


CFLAGS="%{optflags} -O3 -funroll-loops" \
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -m755 %{SOURCE1} -D %{buildroot}%{_bindir}/xzme

install -m644 diet/src/liblzma/.libs/liblzma.a -D %{buildroot}%{_prefix}/lib/dietlibc/lib-%{_arch}/liblzma.a

install -d %{buildroot}/lib
mv %{buildroot}%{_libdir}/*.so.* %{buildroot}/lib/
ln -sf ../../lib/liblzma.so.%{version} %{buildroot}%{_libdir}/liblzma.so

#drop .la files
rm -f %{buildroot}/%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/doc

%files -n %{libname}
%defattr(-,root,root)
/lib/lib*.so.%{major}*

%files -n %{libdev}
%defattr(644,root,root,755)
%defattr(-,root,root)
%{_includedir}/%{lname}.h
%dir %{_includedir}/%{lname}
%{_includedir}/%{lname}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib%{lname}.pc
%{_libdir}/*.a
%{_prefix}/lib/dietlibc/lib-%{_arch}/liblzma.a

%changelog
* Tue Sep 29 2015 pinoc <vogtpet at gmail.com> 5.2.2-1pclos2015
- 5.2.2

* Fri Feb 27 2015 pinoc <vogtpet at gmail.com> 5.2.1-1pclos2015
- 5.2.1

* Sun Feb 08 2015 bb <bb> 5.2.0-3pclos2015
- build diet static lib

* Wed Jan 28 2015 bb <bb> 5.2.0-2pclos2015
- rebuild new glibc

* Mon Dec 22 2014 pinoc <vogtpet at gmail.com> 5.2.0-1pclos2015
- 5.2.0

* Fri Sep 26 2014 bb <bb> 5.0.7-1pclos2014
- update

